/* MSHV
 *
 * By Hrisimir Hristov - LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */

#ifndef ICOM_DEF_H
#define ICOM_DEF_H

#include "../rigdef.h"
#define ICOM_ID 1
#define ICOM_COUNT 65 //+4

static RigSet rigs_icom[ICOM_COUNT] =
    {
        {"IC-7000",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7100",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7200",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7300",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-705", RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-756",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-756PRO",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-756PROII",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-756PROIII",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-706",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-706MkII",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-706MkIIG",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-9100",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-9700",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7800",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-785x",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7700",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7600",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7610",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-7410",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-1275",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-970",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-910",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},//2.55 RIG_PTT_RIG
        {"IC-821H",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-820H",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-781",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-775",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-765",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-761",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},//v3.0
        {"IC-751",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-746",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-746PRO",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-738",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-737",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-736",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-735",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-728",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,2,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-726",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-725",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-718",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-707",RIG_PTT_NONE,RIG_PORT_SERIAL,300,9600,8,2,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-703",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-475",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-471",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-275",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-271",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-92D",RIG_PTT_NONE,RIG_PORT_SERIAL,38400,38400,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-78",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R10",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R20",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R71",RIG_PTT_NONE,RIG_PORT_SERIAL,300,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R72",RIG_PTT_NONE,RIG_PORT_SERIAL,300,9600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R75",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R7000",RIG_PTT_NONE,RIG_PORT_SERIAL,300,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"ICR-8500",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R7100",RIG_PTT_NONE,RIG_PORT_SERIAL,300,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R9000",RIG_PTT_NONE,RIG_PORT_SERIAL,300,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-R9500",RIG_PTT_NONE,RIG_PORT_SERIAL,300,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC-RX7",RIG_PTT_NONE,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"IC ID-1",RIG_PTT_RIG,RIG_PORT_SERIAL,19200,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"ID-5100",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},       
        {"Xiegu G90",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"Xiegu X108G",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"Xiegu X5105",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"Xiegu X6100",RIG_PTT_RIG,RIG_PORT_SERIAL,300,19200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},	

    };
#endif
