/* MSHV
 *
 * By Hrisimir Hristov - LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */
#ifndef KENWOOD_DEF_H
#define KENWOOD_DEF_H

#include "../rigdef.h"
#define KENWOOD_ID 2
#define KENWOOD_COUNT 31
static RigSet rigs_kenwood[KENWOOD_COUNT] =
    {
        {"TS-930",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,57600,8,1,PAR_NONE,FLOW_OFF,0,0,200,3},
        {"TS-2000",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,57600,8,1,PAR_NONE,FLOW_OFF,0,0,200,3},
        {"TS-850",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_HARDWARE,0,100,480000,0},
        {"TS-870S",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,57600,8,1,PAR_NONE,FLOW_OFF,0,0,200,3},
		{"TS-890S",RIG_PTT_RIG_MICDATA,RIG_PORT_SERIAL,4800,115200,8,1,PAR_NONE,FLOW_HARDWARE,0,0,200,3},// 2.39 from->TS-480 //max in pdf -> 115200
        {"TS-940S",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,4800,8,2,PAR_NONE,FLOW_OFF,100,150,200,3}, 
        {"TS-950SDX",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,4800,8,2,PAR_NONE,FLOW_OFF,0,0,200,3},       	
        {"TS-811",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_HARDWARE,0,0,1000,3},
        {"TS-790",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_HARDWARE,0,0,1000,3},
        {"TS-711",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_HARDWARE,0,0,1000,3},
        {"TS-690S",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_HARDWARE,0,100,1000,3},
        {"TS-680S",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,9600,8,2,PAR_NONE,FLOW_HARDWARE,0,0,300,3},
        {"TS-590S",RIG_PTT_RIG_MICDATA,RIG_PORT_SERIAL,4800,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,0,500,3},//115200 RIG_PTT_RIG_MICDATA
        {"TS-590SG",RIG_PTT_RIG_MICDATA,RIG_PORT_SERIAL,4800,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,0,500,3},//115200 RIG_PTT_RIG_MICDATA
        {"TS-570S",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,30,1000,3},
        {"TS-570D",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,30,1000,3},
        {"TS-480",RIG_PTT_RIG_MICDATA,RIG_PORT_SERIAL,4800,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,0,200,3},//115200 RIG_PTT_RIG_MICDATA
        {"TS-450S",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,4800,8,2,PAR_NONE,FLOW_HARDWARE,0,10,1000,3},
        {"TS-440",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,4800,8,2,PAR_NONE,FLOW_HARDWARE,20,30,200,3},
        {"TS-140S",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,9600,8,2,PAR_NONE,FLOW_HARDWARE,0,0,300,3},
        {"TS-50S",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,57600,8,1,PAR_NONE,FLOW_OFF,0,0,200,3},
        {"TRC-80",RIG_PTT_RIG,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_HARDWARE,0,100,1000,3},
        {"TS-990s",RIG_PTT_RIG_MICDATA,RIG_PORT_SERIAL,4800,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,50,200,3},//RIG_PTT_RIG_MICDATA
        {"TM-V7",RIG_PTT_RIG,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_OFF,1,0,500,3},
        {"TM-D710",RIG_PTT_NONE,RIG_PORT_SERIAL,9600,57600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},//RIG_PTT_RIG
        {"TM-D700",RIG_PTT_RIG,RIG_PORT_SERIAL,9600,57600,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"TH-G71",RIG_PTT_RIG,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_OFF,1,0,500,3},
        {"TH-F7E",RIG_PTT_RIG,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_OFF,0,0,500,3},
        {"TH-F6A",RIG_PTT_RIG,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_OFF,0,0,500,3},
        {"TH-D72A",RIG_PTT_NONE,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_OFF,0,0,250,3},//RIG_PTT_RIG
        {"TH-D7A",RIG_PTT_NONE,RIG_PORT_SERIAL,9600,9600,8,1,PAR_NONE,FLOW_OFF,0,0,200,3},//RIG_PTT_RIG       		
    };
#endif
