/* MSHV
 *
 * By Hrisimir Hristov - LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */
#ifndef TENTEC_DEF_H
#define TENTEC_DEF_H

#include "../rigdef.h"
#define TENTEC_ID 4
#define TENTEC_COUNT 13
static RigSet rigs_tentec[TENTEC_COUNT] =
    {
        {"TT-565 Orion",RIG_PTT_RIG,RIG_PORT_SERIAL,57600,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,10,200,4},
        {"TT-599 Eagle",RIG_PTT_RIG,RIG_PORT_SERIAL,57600,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,10,200,3},
        {"TT-588 Omni VII",RIG_PTT_RIG,RIG_PORT_SERIAL,57600,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,0,400,3},
        {"TT-538 Jupiter",RIG_PTT_RIG,RIG_PORT_SERIAL,57600,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,0,400,3},
        {"TT-516 Argonaut V",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,1200,8,1,PAR_NONE,FLOW_OFF,0,0,2000,3},
        {"TT-563 Omni VI Plus",RIG_PTT_RIG,RIG_PORT_SERIAL,1200,19200,8,1,PAR_NONE,FLOW_HARDWARE,0,0,1000,3},
        {"TT-585 Paragon",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,1200,8,1,PAR_NONE,FLOW_OFF,100,200,1000,0},
        {"RX-350",RIG_PTT_NONE,RIG_PORT_SERIAL,57600,57600,8,1,PAR_NONE,FLOW_OFF,0,0,400,3},
        {"RX-340",RIG_PTT_NONE,RIG_PORT_SERIAL,300,38400,8,1,PAR_NONE,FLOW_OFF,0,0,400,3},
        {"RX-331",RIG_PTT_NONE,RIG_PORT_SERIAL,300,38400,8,1,PAR_NONE,FLOW_OFF,0,0,400,3},
        {"RX-320",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,1200,8,1,PAR_NONE,FLOW_OFF,0,0,200,3},
        {"Delta II",RIG_PTT_NONE,RIG_PORT_SERIAL,1200,1200,8,1,PAR_NONE,FLOW_OFF,0,0,1000,3},
        {"TT-550",RIG_PTT_RIG,RIG_PORT_SERIAL,57600,57600,8,1,PAR_NONE,FLOW_HARDWARE,0,0,30,3},
    };
#endif
