/* MSHV
 *
 * By Hrisimir Hristov - LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */
#ifndef YAESU_DEF_H
#define YAESU_DEF_H

#include "../rigdef.h"
#define YAESU_ID 0
#define YAESU_COUNT 36
static RigSet rigs_yeasu[YAESU_COUNT] =
    {
        {"FT-100",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,0,100,100,0},
        {"FT-847",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,57600,8,2,PAR_NONE,FLOW_OFF,50,50,1000,0},
        {"FT-990",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-991",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,50,2000,3},
        {"FT-857",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,2,PAR_NONE,FLOW_OFF,0,0,200,0},//2.20 1000 to 200
        {"FT-1000D",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-1000MP",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-2000",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},
        {"FT-DX3000",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},//retry=3
        {"FT-DX5000",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},
        {"FTDX-9000",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},
        {"FT-950",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},
        {"FT-920",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,0,80,2000,0},
        {"FT-900",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-897",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,2,PAR_NONE,FLOW_OFF,0,0,200,0},
        {"FT-890",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-840",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-817",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,2,PAR_NONE,FLOW_OFF,0,0,200,0},
        {"FT-747GX",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,5,5,2000,0},
        {"FT-450",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},
        {"FT-450D",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,5,2000,0},
        {"FT-767GX",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-757GX",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,10},
        {"FRG-9600",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,0,300,2000,0},
        {"FRG-8800",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,0,300,2000,0},
        {"FRG-100",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,20,300,2000,0},
        {"VR-5000",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,57600,8,2,PAR_NONE,FLOW_OFF,70,210,1000,0},
        {"FT-736R",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,30,0,2000,0},
        {"FT-980",RIG_PTT_NONE,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,80,0,2000,0},
        {"MARK-V FT-1000MP",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"MARK-V Field FT-1000MP",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,4800,8,2,PAR_NONE,FLOW_OFF,50,5,2000,0},
        {"FT-710",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,50,2000,3},
        {"FT-891",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_OFF,0,50,2000,3},
        {"FT-DX10",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,50,2000,3},
        {"FT-DX101",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,50,2000,3},		
		{"FT-DX1200",RIG_PTT_RIG,RIG_PORT_SERIAL,4800,38400,8,1,PAR_NONE,FLOW_HARDWARE,0,50,2000,3},		
    };
#endif
